import Vue from 'vue'
import App from './App'
import { myRequest } from 'util/api.js'
Vue.config.productionTip = false
import MinCache from './static/cache.js'
//引入vuex
import store from './store'
//把vuex定义成全局组件
Vue.prototype.$store = store

Vue.use(MinCache,{timeout:1800}) //缓存时间30分钟

App.mpType = 'app'
Vue.prototype.$myRequest = myRequest

const app = new Vue({
    ...App,
	store 
})
app.$mount()
